Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.application
Class ApplicationVersionLifecycleListener

    java.lang.Object
      weblogic.application.ApplicationVersionLifecycleListener

    public abstract class ApplicationVersionLifecycleListener

extends Object

ApplicationVersionLifecycleListener provides application version lifecycle event notifications. Application developers who wish to listen to such notifications should extend the ApplicationVersionLifecycleListener abstract class and specify the lifecycle listener in weblogic-application.xml in the same manner as non-versioned application lifecycle listeners. Application version lifecycle events are fired for both static and dynamic deployments. The listeners are invoked with anonymous id in the order that the listeners are being specified for preDeploy and postDeploy, and in the reverse order for preUndeploy and postDelete. Note that application version lifecycle events will only be fired if the current application is versioned, else it will be ignored. Also, lifecycle events will be fired for all application versions, including the version that registers the listener. Listeners can determine whether the events are for its own version by using `ApplicationVersionLifecycleEvent.isOwnVersion` method.

Constructor Summary
`ApplicationVersionLifecycleListener()`

Method Summary
`void` | `postDelete(ApplicationVersionLifecycleEvent evt)` Invoked after an application version is deleted.
`void` | `postDeploy(ApplicationVersionLifecycleEvent evt)` Invoked after an application version is deployed successfully.
`void` | `preDeploy(ApplicationVersionLifecycleEvent evt)` Invoked when an application version deploy or redeploy operation is initiated.
`void` | `preUndeploy(ApplicationVersionLifecycleEvent evt)` Invoked when an application version undeploy operation is initiated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationVersionLifecycleListener

    public ApplicationVersionLifecycleListener()

Method Detail

### preDeploy

    public void preDeploy(ApplicationVersionLifecycleEvent evt)

  Invoked when an application version deploy or redeploy operation is initiated. The listener implementation may veto the operation by throwing an ApplicationException. If the deployment of the application version is vetoed or has failed already, the current listener may not be called.

  Parameters:
    `evt` - The application version lifecycle event
  Throws:
    `ApplicationException` - if the recipient wishes to veto the current deploy or redeploy operation.

### postDeploy

    public void postDeploy(ApplicationVersionLifecycleEvent evt)

  Invoked after an application version is deployed successfully. Note that any newly deployed application version by definition becomes the active version and will be processing any new client requests. This applies for both admin mode and normal applications. And retirement will start for any previously active version.

  Parameters:
    `evt` - The application version lifecycle event

### preUndeploy

    public void preUndeploy(ApplicationVersionLifecycleEvent evt)

  Invoked when an application version undeploy operation is initiated. The listener implementation may veto the operation by throwing an ApplicationException. Note that if the operation is vetoed, the application version to be undeployed will not be affected, e.g. if it was previously the active version, it will remain so. If the deployment of the application version is vetoed or has failed already, the current listener may not be called.

  Parameters:
    `evt` - The application version lifecycle event
  Throws:
    `ApplicationException` - if the recipient wishes to veto the current undeploy operation.

### postDelete

    public void postDelete(ApplicationVersionLifecycleEvent evt)

  Invoked after an application version is deleted. Note that the event will only be fired after the application version is completely removed, i.e. it will not be fired for partial undeploy, including undeploying certain modules or from a subset of targets.

  Parameters:
    `evt` - The application version lifecycle event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD